低危 LinuxTV xawtv 安全漏洞

CVE编号

CVE-2020-13696

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-06-09
漏洞描述
LinuxTV xawtv是LinuxTV社区的一套用于使用电视调谐器或电视观看和录制电视和网络摄像头的软件。
LinuxTV xawtv 3.107之前版本中的v4l-conf.c文件的‘dev_open()’函数存在安全漏洞,该漏洞源于程序缺乏充分的验证。本地攻击者可通过访问v4l-conf setuid-root程序利用该漏洞测试所存在文件并打开任意文件。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 linuxtv xawtv * Up to
(excluding)
3.107
运行在以下环境
应用 opensuse backports_sle 15.0 -
运行在以下环境
系统 debian_8 xawtv * Up to
(excluding)
3.103-3+deb8u1
运行在以下环境
系统 debian_9 xawtv * Up to
(including)
3.103-4
运行在以下环境
系统 fedora_31 xawtv * Up to
(excluding)
3.107-2.fc31
运行在以下环境
系统 fedora_32 xawtv * Up to
(excluding)
3.107-1.fc32
运行在以下环境
系统 fedora_EPEL_6 xawtv * Up to
(excluding)
3.105-2.el6
运行在以下环境
系统 fedora_EPEL_7 xawtv * Up to
(excluding)
3.107-1.el7
运行在以下环境
系统 opensuse_Leap_15.1 xawtv * Up to
(excluding)
3.103-lp151.3.3.1
运行在以下环境
系统 ubuntu_16.04 xawtv * Up to
(excluding)
3.103-3+deb8u1build0.16.04.1
运行在以下环境
系统 ubuntu_16.04.7_lts xawtv * Up to
(excluding)
3.103-3+deb8u1build0.16.04.1
阿里云评分
3.4
  • 攻击路径
    本地
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-732 关键资源的不正确权限授予
CWE-863 授权机制不正确
阿里云安全产品覆盖情况